Bug 28391 - Elasticsearch - Add 264b to publisher index mapping (MARC21)
Summary: Elasticsearch - Add 264b to publisher index mapping (MARC21)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching - Elasticsearch (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Caroline Cyr La Rose
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-19 13:50 UTC by Caroline Cyr La Rose
Modified: 2021-08-06 18:16 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28391: Elasticsearch - Add 264b to publisher index mapping (896 bytes, patch)
2021-05-19 13:55 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 28391: Elasticsearch - Add 264b to publisher index mapping (934 bytes, patch)
2021-05-19 17:37 UTC, David Nind
Details | Diff | Splinter Review
Bug 28391: Elasticsearch - Add 264b to publisher index mapping (992 bytes, patch)
2021-07-24 23:43 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2021-05-19 13:50:54 UTC
The publisher index currently only looks in 260b, but 264b is also often used for the publisher.
Comment 1 Caroline Cyr La Rose 2021-05-19 13:55:20 UTC
Created attachment 121178 [details] [review]
Bug 28391: Elasticsearch - Add 264b to publisher index mapping

This patch adds 264 $b to the default mappings for the publisher index

To test:
1) Apply patch
2) Reindex using rebuild_elasticsearch.pl -r

If you don't have access to a terminal (in a sandbox for example)
2a) Go to Administration > Search engine configuration, click "Reset mappings" and confirm
2b) Then reindex 

3) Search for a publisher name using the Publisher index in the advanced search
Comment 2 David Nind 2021-05-19 17:37:39 UTC
Created attachment 121190 [details] [review]
Bug 28391: Elasticsearch - Add 264b to publisher index mapping

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2021-07-24 23:43:05 UTC
Created attachment 123169 [details] [review]
Bug 28391: Elasticsearch - Add 264b to publisher index mapping

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2021-07-24 23:44:15 UTC
Thx for improving the default mappings :) I have a feeling a lot use their own by now, but I believe it will be really helpful to provide well maintained defaults.
Comment 5 Jonathan Druart 2021-08-04 12:06:08 UTC
Pushed to master for 21.11, thanks to everybody involved!